<?php

class it_woocommerce_membership_pricing_rules_admin
{

    public function __construct()
    {

    }

    public function on_init()
    {

    }

    public function basic_meta_box()
    {
        global $wp_roles;
        $namerl = 'hide';

        ?>
        <div id="poststuff" class="woocommerce-roles-wrap">
            <?php settings_errors(); ?>
            <form method="post" action="options.php">
                <?php settings_fields('_s_pricing_discount_rules'); ?>
                <?php $pricing_rules = get_option('_s_pricing_discount_rules');
				?>

                <table class="it-rule-table" >
                    <tr>
                        <th>
	                        <?php _e('Adjustment Settings', 'woocommerce'); ?>
                            <span class="it-th-desc">Apply discount or markups in fixed or percentage terms for each user role on all products of shop </span>
                        </th>
                        <td>
                            <table  >
                                <tbody>
		                        <?php
		                        if (!isset($wp_roles)) {
			                        $wp_roles = new WP_Roles();
		                        }
		                        $all_roles = $wp_roles->roles;

		                        foreach ($all_roles as $role_id => $role) :

			                        $condition_index = 0;
			                        $index = 0;
			                        $rule_set = $pricing_rules[$role_id];
									$rule_set = isset($pricing_rules[$role_id])  ? $pricing_rules[$role_id] : array();

			                        $rule = isset($pricing_rules['price'][$role_id]) ? $pricing_rules['price'][$role_id] : array();
			                        $checked = isset($rule_set['on']) ? 'checked="checked"' : ''; ?>
                                    <tr>
                                        <td>
                                            <input class="checkbox" <?php echo $checked; ?> type="checkbox"
                                                   id="role_<?php echo $role_id; ?>"
                                                   name="pricing_rules[<?php echo $role_id; ?>][on]"
                                                   value="<?php echo $role_id; ?>"/>
                                        </td>
                                        <td>
                                            <strong><?php echo $role['name']; ?></strong>
                                        </td>
                                        <td>
                                            <select id="pricing_rule_type_value_<?php echo $index; ?>"
                                                    name="pricing_rules[<?php echo $role_id; ?>][for_apply]">

                                                <option <?php $this->selected('regular', $pricing_rules[$role_id]['for_apply']); ?>
                                                        value="regular"><?php _e('Regular Price', 'wc_pricing'); ?>
                                                </option>
                                                <option <?php $this->selected('on_sale', $pricing_rules[$role_id]['for_apply']); ?>
                                                        value="on_sale"><?php _e('On Sale Price', 'wc_pricing'); ?>
                                                </option>
                                                <option <?php $this->selected('role', $pricing_rules[$role_id]['for_apply']); ?>
                                                        value="role"><?php _e('Role Based Price', 'wc_pricing'); ?>
                                                </option>
                                            </select>
                                        </td>
                                        <td>
                                            <select id="pricing_rule_type_value_<?php echo $index; ?>"
                                                    name="pricing_rules[<?php echo $role_id; ?>][type_calc]">
                                                <option <?php $this->selected('discount', $pricing_rules[$role_id]['type_calc']); ?>
                                                        value="discount"><?php _e('Discount', 'wc_pricing'); ?>
                                                </option>
                                                <option <?php $this->selected('markup', $pricing_rules[$role_id]['type_calc']); ?>
                                                        value="markup"><?php _e('Markup', 'wc_pricing'); ?>
                                                </option>
                                            </select>
                                        </td>
                                        <td>
                                            <select id="pricing_rule_type_value_<?php echo  $index; ?>"
                                                    name="pricing_rules[<?php echo $role_id; ?>][type]">

                                                <option <?php $this->selected('fixed_product', $pricing_rules[$role_id]['type']); ?>
                                                        value="fixed_product">$
                                                </option>
                                                <option <?php $this->selected('percent_product', $pricing_rules[$role_id]['type']); ?>
                                                        value="percent_product">%
                                                </option>
                                            </select>
                                        </td>
                                        <td>
                                            <input type="text" placeholder="Amount"
                                                   name="pricing_rules[<?php echo $role_id; ?>][amount]"
                                                   value="<?php echo esc_attr($pricing_rules[$role_id]['amount']); ?>"/>
                                        </td>
                                    </tr>
		                        <?php endforeach; ?>
		                        <?php $checked = isset($pricing_rules['price']['unregister']) ? 'checked="checked"' : ''; ?>
                                </tbody>
                            </table>
                        </td>
                    </tr>

                    <tr>
                        <th>
	                        <?php _e('Price Suffix Options', ''); ?>
                            <span class="it-th-desc">Write custom text after price, generally for all roles or customized by each user role</span>
                        </th>
                        <td>
                            <select name="pricing_rules[suffix][option]" class="tr-type-roles">

                                <option <?php $this->selected('none', $pricing_rules['suffix']['option']); ?>
                                        value="none"><?php _e('None', 'wc_pricing'); ?>
                                </option>
                                <option <?php $this->selected('general', $pricing_rules['suffix']['option']); ?>
                                        value="general"><?php _e('General', 'wc_pricing'); ?>
                                </option>
                                <option <?php $this->selected('role', $pricing_rules['suffix']['option']); ?>
                                        value="role"><?php _e('Role Specific', 'wc_pricing'); ?>
                                </option>
                            </select>
                            <div class="depend_general it-dep">
                                <label for="pricing_rule_admin_title_<?php echo $namerl; ?> " class="it-dep-lbl">
                                    <?php _e('Suffix Text', 'wc_pricing'); ?>
                                </label>
                                <input type="text" name="pricing_rules[suffix][suffix_text]"
                                           value="<?php echo(isset($pricing_rules['suffix']['suffix_text']) ? esc_attr($pricing_rules['suffix']['suffix_text']) : ''); ?>"/>
                            </div>

                            <div class="depend_role it-dep">
                                <table  >

                                    <tbody>
			                        <?php
			                        if (!isset($wp_roles)) {
				                        $wp_roles = new WP_Roles();
			                        }
			                        $all_roles = $wp_roles->roles;
			                        ?>

			                        <?php foreach ($all_roles as $role_id => $role) : ?>
				                        <?php
				                        //   $name = $role['name'];
				                        $rule = isset($pricing_rules['suffix']['role'][$role_id]) && isset($pricing_rules['suffix']['role'][$role_id]) ? $pricing_rules['suffix']['role'][$role_id]['text'] : '';
				                        ?>
                                        <tr>
                                            <td>
                                                <strong><?php echo $role['name']; ?></strong>
                                            </td>
                                            <td>
                                                <input type="text"
                                                       name="pricing_rules[suffix][role][<?php echo $role_id; ?>][text]"
                                                       value="<?php echo esc_attr($rule); ?>"/>
                                            </td>
                                        </tr>
			                        <?php endforeach; ?>
                                    <tr class="it-unreg-role">
                                        <td>
                                            <strong><?php _e('Unregistered User', 'woocommerce'); ?></strong>
                                        </td>
                                        <td>
                                            <input type="text"
                                                   name="pricing_rules[suffix][role][unregister][text]"
                                                   value="<?php echo $pricing_rules['suffix']['role']['unregister']['text']; ?>"/>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </td>
                    </tr>

                </table>

                <p class="submit">
                    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>"/>
                </p>
            </form>
        </div>
		
<script language="javascript">  
jQuery(document).ready(function() {
	jQuery('.depend_general').dependsOn({
		'.tr-type-roles': {
			values: ['general']
		}
	});
	jQuery('.depend_role').dependsOn({
		'.tr-type-roles': {
			values: ['role']
		}
	});	
});
</script>

        <?php
//        $this->settings = get_option('_s_pricing_discount_rules');
//        echo '<pre>';
//        print_r($this->settings);
    }

    private function selected($value, $compare, $arg = true)
    {
        if (!$arg) {
            echo '';
        } else if ((string)$value == (string)$compare) {
            echo 'selected="selected"';
        }
    }

}
