<?php

class it_woocommerce_membership_hide_pricing_rules_admin
{

    public function __construct()
    {

    }

    public function on_init()
    {

    }

    public function basic_meta_box()
    {
        global $wp_roles;
        $namerl = 'hide';

        ?>
        <div id="poststuff" class="woocommerce-roles-wrap">
            <?php settings_errors(); ?>
            <form method="post" action="options.php">
                <?php settings_fields('_s_pricing_discount_rules_hide'); ?>
                <?php $pricing_rules = get_option('_s_pricing_discount_rules_hide');
                ?>

                <table class="it-rule-table">
                    <tr>
                        <th>
                            <?php _e('Hide/Remove Add to Cart For Users', 'wc_pricing'); ?>
                            <span class="it-th-desc">hide "Add to Cart" button from certain user roles and replace with custom text</span>
                        </th>
                        <td>
                            <table>
                                <tbody>
                                <?php
                                if (!isset($wp_roles)) {
                                    $wp_roles = new WP_Roles();
                                }
                                $all_roles = $wp_roles->roles;

                                $set_index = 0;
                                foreach ($all_roles as $role_id => $role) :
                                    $set_index++;
                                    $name = 'set_' . $set_index;

                                    $condition_index = 0;
                                    $index = 0;
                                    $rule_set = isset($pricing_rules['price'][$role_id])  ? $pricing_rules['price'][$role_id] : array();

                                    $rule = isset($pricing_rules['add_to_cart'][$role_id]) ? $pricing_rules['add_to_cart'][$role_id] : array();
                                    $checked = isset($rule_set['on']) ? 'checked="checked"' : ''; ?>
                                    <tr>
                                        <td>
                                            <input class="checkbox" <?php echo $checked; ?> type="checkbox"
                                                   id="role_<?php echo $role_id; ?>"
                                                   name="pricing_rules[add_to_cart][<?php echo $role_id; ?>][on]"
                                                   value="<?php echo $role_id; ?>"/>
                                        </td>
                                        <td>
                                            <strong><?php echo $role['name']; ?></strong>
                                        </td>
                                        <td>
                                            <input type="text"
                                                   placeholder="Text"
                                                   name="pricing_rules[add_to_cart][<?php echo $role_id; ?>][text]"
                                                   value="<?php echo stripslashes(@$rule['text']); ?>"/>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                                <?php $checked = isset($pricing_rules['add_to_cart']['unregister']['on']) ? 'checked="checked"' : ''; ?>
                                <tr class="it-unreg-role">
                                    <td>
                                        <input class="checkbox" <?php echo $checked; ?> type="checkbox"
                                               id="role_unregister"
                                               name="pricing_rules[add_to_cart][unregister][on]"
                                               value="unregister"/>
                                    </td>
                                    <td>
                                        <strong><?php _e('Unregistered User', 'woocommerce'); ?></strong>
                                    </td>
                                    <td>
                                        <input type="text"
                                               placeholder="Text"
                                               name="pricing_rules[add_to_cart][unregister][text]"
                                               value="<?php echo stripslashes($pricing_rules['add_to_cart']['unregister']['text']); ?>"/>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </td>

                    </tr>

                    <tr>
                        <th>
                            <?php _e('Hide/Remove Price For Users', 'wc_pricing'); ?>
                            <span class="it-th-desc">Hide "Price" from certain user roles and replace with custom text</span>
                        </th>
                        <td>
                            <table>

                                <tbody>
                                <?php
                                if (!isset($wp_roles)) {
                                    $wp_roles = new WP_Roles();
                                }
                                $all_roles = $wp_roles->roles;
                                $set_index = 0;
                                foreach ($all_roles as $role_id => $role) :
                                    $set_index++;
                                    $name = 'set_' . $set_index;

                                    $condition_index = 0;
                                    $index = 0;
                                    $rule_set = isset($pricing_rules['price'][$role_id])  ? $pricing_rules['price'][$role_id] : array();

                                    $rule = isset($pricing_rules['price'][$role_id])  ? $pricing_rules['price'][$role_id] : array();
                                    $checked = isset($rule_set['on']) ? 'checked="checked"' : '';
                                    ?>
                                    <tr>
                                        <td>
                                            <input class="checkbox" <?php echo $checked; ?> type="checkbox"
                                                   id="role_<?php echo $role_id; ?>"
                                                   name="pricing_rules[price][<?php echo $role_id; ?>][on]"
                                                   value="<?php echo $role_id; ?>"/>
                                        </td>
                                        <td>
                                            <strong><?php echo $role['name']; ?></strong>
                                        </td>
                                        <td>
                                            <input type="text"
                                                   placeholder="Text"
                                                   name="pricing_rules[price][<?php echo $role_id; ?>][text]"
                                                   value="<?php echo stripslashes(@$rule['text']); ?>"/>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                                <?php $checked = isset($pricing_rules['price']['unregister']['on']) ? 'checked="checked"' : ''; ?>
                                <tr class="it-unreg-role">
                                    <td>
                                        <input class="checkbox" <?php echo $checked; ?> type="checkbox"
                                               id="role_unregister"
                                               name="pricing_rules[price][unregister][on]"
                                               value="unregister"/>
                                    </td>
                                    <td>
                                        <strong><?php _e('Unregistered User', 'woocommerce'); ?></strong>
                                    </td>
                                    <td>
                                        <input type="text"
                                               placeholder="Text"
                                               name="pricing_rules[price][unregister][text]"
                                               value="<?php echo stripslashes($pricing_rules['price']['unregister']['text']); ?>"/>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>

                    <!--                    <tr>-->
                    <!--                        <th>-->
                    <!--                            --><?php //_e('Hide Empty Price For Users', 'wc_pricing');
                    ?>
                    <!--                            <span class="it-th-desc">Hide Empty "Price" from certain user roles and replace with custom text</span>-->
                    <!--                        </th>-->
                    <!--                        <td>-->
                    <!--                            <table >-->
                    <!---->
                    <!--                                <tbody>-->
                    <!--                                --><?php
                    //                                if (!isset($wp_roles)) {
                    //                                    $wp_roles = new WP_Roles();
                    //                                }
                    //                                $all_roles = $wp_roles->roles;
                    //                                $set_index = 0;
                    //                                foreach ($all_roles as $role_id => $role) :
                    //                                    $set_index++;
                    //                                    $name = 'set_' . $set_index;
                    //
                    //                                    $condition_index = 0;
                    //                                    $index = 0;
                    //                                    $rule_set = $pricing_rules['price_empty'][$role_id];
                    //
                    //                                    $rule = isset($pricing_rules['price_empty'][$role_id]) && isset($pricing_rules['price_empty'][$role_id]) ? $pricing_rules['price_empty'][$role_id] : array();
                    //                                    $checked = isset($rule_set['on']) ? 'checked="checked"' : '';
                    //
                    ?>
                    <!--                                    <tr>-->
                    <!--                                        <td>-->
                    <!--                                            <input class="checkbox" --><?php //echo $checked;
                    ?><!-- type="checkbox"-->
                    <!--                                                   id="role_--><?php //echo $role_id;
                    ?><!--"-->
                    <!--                                                   name="pricing_rules[price_empty][-->
                    <?php //echo $role_id;
                    ?><!--][on]"-->
                    <!--                                                   value="--><?php //echo $role_id;
                    ?><!--"/>-->
                    <!--                                        </td>-->
                    <!--                                        <td>-->
                    <!--                                            <strong>--><?php //echo $role['name'];
                    ?><!--</strong>-->
                    <!--                                        </td>-->
                    <!--                                        <td>-->
                    <!--                                            <input type="text"-->
                    <!--                                                   name="pricing_rules[price_empty][-->
                    <?php //echo $role_id;
                    ?><!--][text]"-->
                    <!--                                                   value="-->
                    <?php //echo esc_attr($rule['text']);
                    ?><!--"/>-->
                    <!--                                        </td>-->
                    <!--                                    </tr>-->
                    <!--                                --><?php //endforeach;
                    ?>
                    <!--                                --><?php //$checked = isset($pricing_rules['price_empty']['unregister']['on']) ? 'checked="checked"' : '';
                    ?>
                    <!--                                <tr>-->
                    <!--                                    <td>-->
                    <!--                                        <input class="checkbox" --><?php //echo $checked;
                    ?><!-- type="checkbox"-->
                    <!--                                               id="role_unregister"-->
                    <!--                                               name="pricing_rules[price_empty][unregister][on]"-->
                    <!--                                               value="unregister"/>-->
                    <!--                                    </td>-->
                    <!--                                    <td>-->
                    <!--                                        <strong>-->
                    <?php //_e('Unregistered User', 'woocommerce');
                    ?><!--</strong>-->
                    <!--                                    </td>-->
                    <!--                                    <td>-->
                    <!--                                        <input type="text"-->
                    <!--                                               name="pricing_rules[price_empty][unregister][text]"-->
                    <!--                                               value="-->
                    <?php //echo $pricing_rules['price_empty']['unregister']['text'];
                    ?><!--"/>-->
                    <!--                                    </td>-->
                    <!--                                </tr>-->
                    <!--                                </tbody>-->
                    <!--                            </table>-->
                    <!--                        </td>-->
                    <!--                    </tr>-->

                </table>

                <p class="submit">
                    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>"/>
                </p>
            </form>
        </div>
        <?php
//        $this->settings = get_option('_s_pricing_discount_rules_hide');
//        echo '<pre>';
//        print_r($this->settings);
    }

    private function selected($value, $compare, $arg = true)
    {
        if (!$arg) {
            echo '';
        } else if ((string)$value == (string)$compare) {
            echo 'selected="selected"';
        }
    }

}
