<?php
global $post, $wp_roles;
?>
<div class="options_group show_if_simple show_if_external">
    <div class="it-disable-adj">
        <label style="margin-left: 12px;float: left;"><?php _e('Disable Discount', _IT_PLUGIN_woocommerce_price_rule_textdomain_); ?></label>
        <?php $checked = ((get_post_meta($post->ID, 'it_product_disable_discount', true)) == 'yes') ? true : false; ?>
        <input type="checkbox" style="float: left;margin-left: 0px;" name="it_product_disable_discount"
               id="it_product_disable_discount" <?php checked($checked, true); ?> />
        <span class="description" style="">
			<?php _e('Ignore Price By User Role discount', _IT_PLUGIN_woocommerce_price_rule_textdomain_); ?>
	</span>
    </div>

    <div class="options_group it-single-price">
        <h6>Set Price For Each Role</h6>
        <?php
        $pricing_rules = get_option('_s_pricing_discount_rules');
        if (!isset($wp_roles)) {
            $wp_roles = new WP_Roles();
        }
        $all_roles = $wp_roles->roles;
        foreach ($all_roles as $role_id => $role) :
//            if (!isset($pricing_rules['roles'][$role_id]['on'])) {
//                continue;
//            }
            $pricing_rules_product = get_post_meta($post->ID, 'pricing_rules_product', true);

            ?>
            <p class="form-field">
                <label><?php echo $role['name']; ?></label>

                <input type="text"
                       placeholder="Amount"
                       name="pricing_rules_product[price_rule][<?php echo $role_id; ?>][amount]"
                       value="<?php echo esc_attr(@$pricing_rules_product['price_rule'][$role_id]['amount']); ?>"/>
            </p>
        <?php endforeach; ?>

    </div>
</div>